Subject: Re: bug#66993: [PATCH] project.el: avoid asking user about project-list-file lock

From: Spencer Baugh <[email-masked]>
Date: Sat, 18 Nov 2023 23:10:43 +0000 (UTC)

Eli Zaretskii <[email-masked]> writes:
>> From: [email-masked]
>> Date: Sat, 18 Nov 2023 15:48:33 +0000 (UTC)
>> Cc: Spencer Baugh <[email-masked]>, Eli Zaretskii <[email-masked]>,
>> 	[email-masked]
>> 
>> > What happens if savehist-mode is nil, though? Which it is by
>> > default. For users with this setup the project history will just
>> > disappear.
>> 
>> Indeed.
>> 
>> > What kind of backward compatibility did you have in mind?
>> 
>> I was thinking about either keeping our code for saving to
>> project-list-file around in some obsoleted form, or using a subset of
>> the savehist code to save only project--list when it's not otherwise
>> enabled.
>> 
>> But actually, maybe it's time that we just enable savehist by default.
>
> Even if we decide to do that (and I'm not at all sure we should), how
> would that solve the difficulty pointed out by Dmitry?  Even if
> savehist is ON by default, the user could turn it OFF, right?

That's fine, we'd still be preserving backwards-compatibility:
project--list would still be saved by default.  The user could turn it
off, if they want, but that's not a problem - they can turn it off if
they want.